﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{9CD39C6E-18B1-43A9-9DE3-03C33DB61C91}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>UCUartOpenClose</RootNamespace>
    <AssemblyName>UCUartOpenClose</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CUCBaudrate.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCBaudrate.Designer.cs">
      <DependentUpon>CUCBaudrate.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCUartOpenClose.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCUartOpenClose.Designer.cs">
      <DependentUpon>CUCUartOpenClose.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCDatabits.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCDatabits.Designer.cs">
      <DependentUpon>CUCDatabits.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCHandshake.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCHandshake.Designer.cs">
      <DependentUpon>CUCHandshake.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCOpenClose.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCOpenClose.Designer.cs">
      <DependentUpon>CUCOpenClose.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCParity.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCParity.Designer.cs">
      <DependentUpon>CUCParity.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCPortName.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCPortName.Designer.cs">
      <DependentUpon>CUCPortName.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCPortsSelectable.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCPortsSelectable.Designer.cs">
      <DependentUpon>CUCPortsSelectable.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCPortsInstalled.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCPortsInstalled.Designer.cs">
      <DependentUpon>CUCPortsInstalled.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCStopbits.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCStopbits.Designer.cs">
      <DependentUpon>CUCStopbits.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Service Include="{94E38DFF-614B-4cbd-B67C-F211BB35CE8B}" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="CUCBaudrate.resx">
      <DependentUpon>CUCBaudrate.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCUartOpenClose.resx">
      <DependentUpon>CUCUartOpenClose.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCDatabits.resx">
      <DependentUpon>CUCDatabits.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCHandshake.resx">
      <DependentUpon>CUCHandshake.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCOpenClose.resx">
      <DependentUpon>CUCOpenClose.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCParity.resx">
      <DependentUpon>CUCParity.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCPortName.resx">
      <DependentUpon>CUCPortName.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCPortsSelectable.resx">
      <DependentUpon>CUCPortsSelectable.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCPortsInstalled.resx">
      <DependentUpon>CUCPortsInstalled.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCStopbits.resx">
      <DependentUpon>CUCStopbits.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Basic\Initdata\Initdata.csproj">
      <Project>{3E4EF806-BD52-4B04-8AEE-9EDC9B1304AB}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Uart\Uart\Uart.csproj">
      <Project>{91357433-DDB9-4801-880D-6CBCCEA8A030}</Project>
      <Name>Uart</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Helper\TextFile\TextFile.csproj">
      <Project>{ED877FF6-BED0-4D46-A533-A2CA747FB86C}</Project>
      <Name>TextFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\UCBasic\UCNotifier\UCNotifier.csproj">
      <Project>{F42BC6C4-A1A7-4473-96E1-6CE9ABDB4165}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>